OpenTTD Source: NIHAirport Class Reference

OpenTTD Source 15.0-RC2

Private Member Functions
NIHAirport Class Reference
Inheritance diagram for NIHAirport:

## Private Member Functions
bool | IsInspectable (uint index) const override
| Is the item with the given index inspectable?
uint | GetParent (uint index) const override
| Get the parent "window_number" of a given instance.
const void * | GetInstance (uint index) const override
| Get the instance given an index.
const void * | GetSpec (uint index) const override
| Get (NewGRF) specs given an index.
std::string | GetName (uint index) const override
| Get the name of this item.
uint32_t | GetGRFID (uint index) const override
| Get the GRFID of the file that includes this item.
std::span< const BadgeID > | GetBadges (uint index) const override
| Get the list of badges of this item.
uint | Resolve (uint index, uint var, uint param, bool &avail) const override
| Resolve (action2) variable for a given index.
const std::span< int32_t > | GetPSA (uint index, uint32_t) const override
| Gets the span containing the persistent storage.

## Additional Inherited Members
Public Member Functions inherited from NIHelper
virtual | ~NIHelper ()=default
| Silence a warning.
virtual bool | PSAWithParameter () const
| Used to decide if the PSA needs a parameter or not.

## Detailed Description

Definition at line 535 of file newgrf_debug_data.h.

## Member Function Documentation

## ◆ GetBadges()

std::span< const BadgeID > NIHAirport::GetBadges | ( | uint | index | ) | const
| inlineoverrideprivatevirtual

Get the list of badges of this item.

Parameters

  index | index to check.

Returns
  List of badges of the item.

Implements NIHelper.

Definition at line 542 of file newgrf_debug_data.h.

References SpecializedStation< Station, false >::Get(), and AirportSpec::Get().

## ◆ GetGRFID()

uint32_t NIHAirport::GetGRFID | ( | uint | index | ) | const
| inlineoverrideprivatevirtual

Get the GRFID of the file that includes this item.

Parameters

  index | index to check.

Returns
  GRFID of the item. 0 means that the item is not inspectable.

Implements NIHelper.

Definition at line 541 of file newgrf_debug_data.h.

References SpecializedStation< Station, false >::Get(), AirportSpec::Get(), AirportSpec::grf_prop, GRFFilePropsBase::grfid, and IsInspectable().

## ◆ GetInstance()

const void * NIHAirport::GetInstance | ( | uint | index | ) | const
| inlineoverrideprivatevirtual

Get the instance given an index.

Parameters

  index | the index to get the instance for.

Returns
  the instance.

Implements NIHelper.

Definition at line 538 of file newgrf_debug_data.h.

References SpecializedStation< Station, false >::Get().

Referenced by GetPSA().

## ◆ GetName()

std::string NIHAirport::GetName | ( | uint | index | ) | const
| inlineoverrideprivatevirtual

Get the name of this item.

Parameters

  index | the index to get the name for.

Implements NIHelper.

Definition at line 540 of file newgrf_debug_data.h.

References SpecializedStation< Station, false >::Get(), and GetString().

## ◆ GetParent()

uint NIHAirport::GetParent | ( | uint | index | ) | const
| inlineoverrideprivatevirtual

Get the parent "window_number" of a given instance.

Parameters

  index | the instance to get the parent for.

Returns
  the parent's window_number or UINT32_MAX if there is none.

Implements NIHelper.

Definition at line 537 of file newgrf_debug_data.h.

References SpecializedStation< Station, false >::Get(), GetInspectWindowNumber(), GSF_FAKE_TOWNS, and Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem< Tpool >::index.

## ◆ GetPSA()

const std::span< int32_t > NIHAirport::GetPSA | ( | uint | index,
|  | uint32_t | grfid
| ) |  | const
| inlineoverrideprivatevirtual

Gets the span containing the persistent storage.

Parameters

  index | Index of the item.
  grfid | Parameter for the PSA. Only required for items with parameters.

Returns
  Span of the storage array or an empty span when not present.

Reimplemented from NIHelper.

Definition at line 551 of file newgrf_debug_data.h.

References Station::airport, GetInstance(), Airport::psa, and PersistentStorageArray< TYPE, SIZE >::storage.

## ◆ GetSpec()

const void * NIHAirport::GetSpec | ( | uint | index | ) | const
| inlineoverrideprivatevirtual

Get (NewGRF) specs given an index.

Parameters

  index | the index to get the specs for for.

Returns
  the specs.

Implements NIHelper.

Definition at line 539 of file newgrf_debug_data.h.

References SpecializedStation< Station, false >::Get(), and AirportSpec::Get().

## ◆ IsInspectable()

bool NIHAirport::IsInspectable | ( | uint | index | ) | const
| inlineoverrideprivatevirtual

Is the item with the given index inspectable?

Parameters

  index | the index to check.

Returns
  true iff the index is inspectable.

Implements NIHelper.

Definition at line 536 of file newgrf_debug_data.h.

References SpecializedStation< Station, false >::Get(), AirportSpec::Get(), AirportSpec::grf_prop, and GRFFilePropsBase::HasGrfFile().

Referenced by GetGRFID().

## ◆ Resolve()

uint NIHAirport::Resolve | ( | uint | index,
|  | uint | var,
|  | uint | param,
|  | bool & | avail
| ) |  | const
| inlineoverrideprivatevirtual

Resolve (action2) variable for a given index.

Parameters

  index | The (instance) index to resolve the variable for.
  var | The variable to actually resolve.
  param | The varaction2 0x60+x parameter to pass.
  avail | Return whether the variable is available.

Returns
  The resolved variable's value.

Implements NIHelper.

Definition at line 544 of file newgrf_debug_data.h.

References Station::airport, SpecializedStation< Station, false >::Get(), AirportSpec::Get(), AirportResolverObject::GetScope(), ScopeResolver::GetVariable(), Airport::layout, OrthogonalTileArea::tile, Airport::type, and VSG_SCOPE_SELF.

The documentation for this class was generated from the following file:

- src/table/newgrf_debug_data.h